package domain

type AlibabaWdkCouponTemplateTerminateApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *string `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponTemplateTerminateApiResult) SetErrCode(v string) *AlibabaWdkCouponTemplateTerminateApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateApiResult) SetErrMsg(v string) *AlibabaWdkCouponTemplateTerminateApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateApiResult) SetModel(v string) *AlibabaWdkCouponTemplateTerminateApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateApiResult) SetSuccess(v bool) *AlibabaWdkCouponTemplateTerminateApiResult {
	s.Success = &v
	return s
}
